## dnsdist 2.0.1

=== meson_options.txt ===
option('dnscrypt', type: 'feature', value: 'disabled', description: 'Enable DNSCrypt')
option('libcap', type: 'feature', value: 'auto', description: 'Enable libcap for capabilities handling')
option('libedit', type: 'feature', value: 'enabled', description: 'Enable libedit')
option('libsodium', type: 'feature', value: 'auto', description: 'Enable libsodium')
option('libcrypto', type: 'feature', value: 'auto', description: 'Enable OpenSSL libcrypto)')
option('libcrypto-path', type: 'string', value: '', description: 'Custom path to find OpenSSL libcrypto')
option('tls-gnutls', type: 'feature', value: 'auto', description: 'GnuTLS-based TLS')
option('lua', type: 'combo', choices: ['auto', 'luajit', 'lua'], value: 'auto', description: 'Lua implementation to use')
option('hardening', type: 'feature', value: 'auto', description: 'Compiler security checks')
option('hardening-experimental-cf', type: 'combo', choices: ['disabled', 'full', 'branch', 'return', 'check'], value: 'disabled', description: 'Control Flow hardening')
option('hardening-experimental-scp', type: 'feature', value: 'disabled', description: 'Stack Clash Protection')
option('hardening-fortify-source', type: 'combo', choices: ['auto', 'disabled', '1', '2', '3'], value: '2', description: 'Source fortification level')
option('ipcipher', type: 'feature', value: 'auto', description: 'IPCipher')
option('tls-libssl', type: 'feature', value: 'auto', description: 'OpenSSL-based TLS')
option('tls-libssl-dir', type: 'string', value: '', description: 'Alternate OpenSSL location')
option('tls-libssl-engines', type: 'boolean', value: false, description: 'OpenSSL-based TLS with TLS engines')
option('tls-libssl-providers', type: 'boolean', value: false, description: 'OpenSSL-based TLS with TLS providers')
option('dns-over-tls', type: 'feature', value: 'auto', description: 'DNS over TLS (requires GnuTLS or OpenSSL)')
option('dns-over-https', type: 'feature', value: 'auto', description: 'DNS over HTTP/2 (requires GnuTLS or OpenSSL)')
option('dns-over-http3', type: 'feature', value: 'auto', description: 'Enable DNS over HTTP/3')
option('dns-over-quic', type: 'feature', value: 'auto', description: 'Enable DNS over QUIC')
option('unit-tests', type: 'boolean', value: false, description: 'Build and run unit tests')
option('reproducible', type: 'boolean', value: false, description: 'Reproducible builds (for distro maintainers, makes debugging difficult)')
option('systemd-service', type: 'feature', value: 'auto', description: 'Systemd integration (requires libsystemd)')
option('systemd-service-user', type: 'string', value: 'dnsdist', description: 'Systemd service user (setuid and unit file; user is not created)')
option('systemd-service-group', type: 'string', value: 'dnsdist', description: 'Systemd service group (setgid and unit file; group is not created)')
option('auto-var-init', type: 'combo', value: 'disabled', choices: ['zero', 'pattern', 'disabled'], description: 'Enable initialization of automatic variables')
option('snmp', type: 'feature', value: 'disabled', description: 'Enable SNMP')
option('dnstap', type: 'feature', value: 'auto', description: 'Enable DNSTAP support through libfstrm')
option('h2o', type: 'feature', value: 'disabled', description: 'Enable H2O library with event loop support for DNS over HTTP/2')
option('nghttp2', type: 'feature', value: 'auto', description: 'Enable nghttp2 library support for DNS over HTTP/2')
option('cdb', type: 'feature', value: 'auto', description: 'CDB key-value store support')
option('lmdb', type: 'feature', value: 'auto', description: 'LMDB key-value store support')
option('quiche', type: 'feature', value: 'auto', description: 'Enable Quiche library support for DNS over QUIC and DNS over HTTP/3')
option('re2', type: 'feature', value: 'auto', description: 'Enable re2 for regular expressions')
option('xsk', type: 'feature', value: 'auto', description: 'Enable AF_XDP / XSK')
option('fuzz-targets', type: 'boolean', value: false, description: 'Enable fuzzing targets')
option('ebpf', type: 'feature', value: 'auto', description: 'Enable eBPF support')
option('fuzzer_ldflags', type: 'string', value: '', description: 'Linker flags used for the fuzzing targets (a path to the libFuzzer static library, for example)')
option('yaml', type: 'feature', value: 'disabled', description: 'Enable YAML configuration')
option('man-pages', type: 'boolean', value: true, description: 'Generate man pages')
option('clang-coverage-format', type: 'boolean', value: false, description: 'Whether to generate coverage data in clang format')

## dnsdist 1.0.0~alpha2

=== debian/changelog ===
dnsdist (1.0.0~alpha2-1) unstable; urgency=medium

  * Initial release. (Closes: #813823)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 13 Feb 2016 01:43:50 +0000

=== debian/control ===
Source: dnsdist
Section: net
Priority: optional
Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
Uploaders: Christian Hofstaedtler <zeha@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-systemd (>= 1.5),
               pkg-config,
               libboost-dev,
               libedit-dev,
               liblua5.2-dev,
               libsodium-dev
Standards-Version: 3.9.6
Homepage: http://dnsdist.org

Package: dnsdist
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: DNS loadbalancer
 Highly DoS- and abuse-aware load balancing tool for DNS traffic,
 with Lua scripting and configuration capability.
 Can be configured to use various sets of rules to classify, route
 and reject traffic.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ \
	  --with autoreconf \
	  --with systemd \
	  --parallel

override_dh_auto_configure:
	./configure \
	  --host=$(DEB_HOST_GNU_TYPE) \
	  --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr \
	  --sysconfdir=/etc/dnsdist \
	  --mandir=\$${prefix}/share/man \
	  --infodir=\$${prefix}/share/info \
	  --libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
	  --libexecdir='$${prefix}/lib' \
	  --enable-reproducible \
	  --enable-libsodium

override_dh_auto_build-arch:
	dh_auto_build -- V=1

override_dh_installinit:
	# do nothing here. avoids referencing a non-existant init script.

## dnsdist 1.0.0

=== debian/changelog ===
dnsdist (1.0.0-2) unstable; urgency=medium

  * Move package to pkg-dns team.
  * Bump Standards-Version to 3.9.8.
  * Enable extra hardening features for daemons.
  * Sort included html files to improve reproducibility.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 03 Jul 2016 13:40:56 +0200

dnsdist (1.0.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch: fix versionmangle substiution confusion

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 21 Apr 2016 13:45:37 +0000

dnsdist (1.0.0~beta1-1) unstable; urgency=medium

  * New upstream version.
  * Use https site in debian/watch.

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 15 Apr 2016 16:17:47 +0000

dnsdist (1.0.0~alpha2-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.7 with no other changes
  * Add debian/watch file

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 24 Feb 2016 22:57:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: dnsdist
 Section: net
 Priority: optional
-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders: Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-systemd (>= 1.5),
-               pkg-config,
                libboost-dev,
                libedit-dev,
                liblua5.2-dev,
-               libsodium-dev
-Standards-Version: 3.9.6
+               libsodium-dev,
+               pkg-config
+Standards-Version: 3.9.8
 Homepage: http://dnsdist.org
+Vcs-Git: https://anonscm.debian.org/git/pkg-dns/dnsdist.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/dnsdist.git
 
 Package: dnsdist
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # output every command that modifies files on the build system.
 #DH_VERBOSE = 1
 
+# Enable hardening features for daemons
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk

## dnsdist 1.1.0

=== debian/changelog ===
dnsdist (1.1.0-2+deb9u1) stretch; urgency=medium

  * Fix CVE-2016-7069, CVE-2017-7557 using patches from upstream
    (Closes: #872854)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 22 Aug 2017 13:58:05 +0000

dnsdist (1.1.0-2) unstable; urgency=medium

  * Bump debhelper compat to 10 for systemd support.
  * Drop our outdated copy of dnsdist.service, instead patch the
    upstream supplied one at install time to keep -u, -g.
  * Drop RestrictAddressFamilies from .service file on 32bit.
    This feature is broken in systemd before v233. (See also #849817)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 31 Dec 2016 15:50:47 +0000

dnsdist (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0, upload to unstable.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 29 Dec 2016 15:52:06 +0000

dnsdist (1.1.0~beta2-2) experimental; urgency=medium

  * Build with LDFLAGS=-latomic to fix FTBFS on powerpc

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 18 Dec 2016 14:11:59 +0000

dnsdist (1.1.0~beta2-1) experimental; urgency=medium

  * New upstream (beta) release, target experimental.
  * Enable protobuf, re2, systemd integration features.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 17 Dec 2016 19:42:08 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: optional
 Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders: Christian Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-autoreconf,
-               dh-systemd (>= 1.5),
                libboost-dev,
                libedit-dev,
                liblua5.2-dev,
+               libprotobuf-dev,
+               libre2-dev,
                libsodium-dev,
-               pkg-config
+               libsystemd-dev [linux-any],
+               pkg-config,
+               protobuf-compiler,
+               ragel
 Standards-Version: 3.9.8
 Homepage: http://dnsdist.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-dns/dnsdist.git

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,17 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+# for atomic support on powerpc (automatic on mipsel)
+LDFLAGS += -latomic
+
+# Disable systemd integration on non-linux archs
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+CONFIGURE_ARGS += --enable-systemd --with-systemd=/lib/systemd/system
+else
+CONFIGURE_ARGS += --disable-systemd
+endif
+
 
 %:
 	dh $@ \
@@ -26,11 +37,27 @@
 	  --libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 	  --libexecdir='$${prefix}/lib' \
 	  --enable-reproducible \
-	  --enable-libsodium
+	  --enable-libsodium \
+	  --enable-re2 \
+	  --with-lua \
+	  --with-systemd \
+	  --with-protobuf \
+	  $(CONFIGURE_ARGS)
 
 override_dh_auto_build-arch:
 	dh_auto_build -- V=1
 
+override_dh_install:
+	dh_auto_install
+	echo Patching uid and git into debian/dnsdist/lib/systemd/system/*.service
+	perl -pi -e 's/(^ExecStart=.*)/$$1 -u _dnsdist -g _dnsdist/' debian/dnsdist/lib/systemd/system/*.service
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+	echo RestrictAddressFamilies is broken on 32bit, removing it from service file
+	perl -ni -e 'print unless /RestrictAddressFamilies/' debian/dnsdist/lib/systemd/system/*.service
+else
+	echo Keeping RestrictAddressFamilies in debian/dnsdist/lib/systemd/system/*.service
+endif
+
 override_dh_installinit:
 	# do nothing here. avoids referencing a non-existant init script.

## dnsdist 1.2.0

=== debian/changelog ===
dnsdist (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0, fixes CVE-2016-7069, CVE-2017-7557.
    (Closes: #872854)
  * Install config example
  * Remove now-default options to dh
  * Force rebuild of dnslabeltext.cc
  * Update debian/copyright
  * Bump Standards-Version to 4.1.0

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 22 Aug 2017 09:47:47 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders: Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper (>= 10~),
-               dh-autoreconf,
                libboost-dev,
                libedit-dev,
                liblua5.2-dev,
@@ -15,7 +14,7 @@
                pkg-config,
                protobuf-compiler,
                ragel
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://dnsdist.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-dns/dnsdist.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/dnsdist.git

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,11 @@
 
 
 %:
-	dh $@ \
-	  --with autoreconf \
-	  --with systemd \
-	  --parallel
+	dh $@
+
+override_dh_auto_clean:
+	rm -f dnslabeltext.cc
+	dh_auto_clean
 
 override_dh_auto_configure:
 	./configure \
@@ -36,11 +37,12 @@
 	  --infodir=\$${prefix}/share/info \
 	  --libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 	  --libexecdir='$${prefix}/lib' \
-	  --enable-reproducible \
+	  --enable-dnscrypt \
 	  --enable-libsodium \
 	  --enable-re2 \
+	  --enable-reproducible \
+	  --with-ebpf \
 	  --with-lua \
-	  --with-systemd \
 	  --with-protobuf \
 	  $(CONFIGURE_ARGS)
 
@@ -58,6 +60,11 @@
 	echo Keeping RestrictAddressFamilies in debian/dnsdist/lib/systemd/system/*.service
 endif
 
+override_dh_installexamples:
+	cp dnsdistconf.lua dnsdist.conf
+	dh_installexamples
+	rm -f dnsdist.conf
+
 override_dh_installinit:
 	# do nothing here. avoids referencing a non-existant init script.

## dnsdist 1.2.1

=== debian/changelog ===
dnsdist (1.2.1-1build1) bionic; urgency=medium

  * No-change rebuild against libre2-4.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 23 Feb 2018 23:11:49 +0100

dnsdist (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Avoid debian-rules-is-dh_make-template lintian error

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 16 Feb 2018 10:41:23 +0000

dnsdist (1.2.0-3) unstable; urgency=medium

  * Enable tests at build time

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 19 Jan 2018 21:58:27 +0000

dnsdist (1.2.0-2) unstable; urgency=medium

  * Update Maintainer: as alioth is going away
  * Update Vcs-* URLs to point to salsa.debian.org
  * Bump Standards-Version to 4.1.3 (no changes)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 18 Jan 2018 20:30:13 +0000

=== debian/control ===
Source: dnsdist
Section: net
Priority: optional
Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
Uploaders: Chris Hofstaedtler <zeha@debian.org>
Build-Depends: debhelper (>= 10~),
               libboost-all-dev,
               libedit-dev,
               liblua5.2-dev,
               libprotobuf-dev,
               libre2-dev,
               libsodium-dev,
               libsystemd-dev [linux-any],
               pkg-config,
               protobuf-compiler,
               ragel
Standards-Version: 4.1.3
Homepage: https://dnsdist.org
Vcs-Git: https://salsa.debian.org/dns-team/dnsdist.git
Vcs-Browser: https://salsa.debian.org/dns-team/dnsdist

Package: dnsdist
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: DNS loadbalancer
 Highly DoS- and abuse-aware load balancing tool for DNS traffic,
 with Lua scripting and configuration capability.
 Can be configured to use various sets of rules to classify, route
 and reject traffic.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
-#DH_VERBOSE = 1
 
 # Enable hardening features for daemons
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
@@ -41,6 +38,7 @@
 	  --enable-libsodium \
 	  --enable-re2 \
 	  --enable-reproducible \
+	  --enable-unit-tests \
 	  --with-ebpf \
 	  --with-lua \
 	  --with-protobuf \

## dnsdist 1.3.2

=== debian/changelog ===
dnsdist (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * Bump Standards-Version to 4.1.5
  * Drop upstream applied patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 23 Jul 2018 07:16:30 +0000

dnsdist (1.3.0-4) unstable; urgency=medium

  * Update test-dnsdistrings patch to avoid further s390x failure

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 03 Apr 2018 11:40:14 +0000

dnsdist (1.3.0-3) unstable; urgency=medium

  * Avoid hard test failure for a soft condition

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 03 Apr 2018 07:57:07 +0000

dnsdist (1.3.0-2) unstable; urgency=medium

  * Add patch from upstream to fix test/build failure

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 30 Mar 2018 11:49:47 +0000

dnsdist (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Enable DNS-over-TLS and libfstrm.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 30 Mar 2018 08:45:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,18 @@
 Build-Depends: debhelper (>= 10~),
                libboost-all-dev,
                libedit-dev,
+               libfstrm-dev,
+               libgnutls28-dev,
                liblua5.2-dev,
                libprotobuf-dev,
                libre2-dev,
                libsodium-dev,
+               libssl-dev,
                libsystemd-dev [linux-any],
                pkg-config,
                protobuf-compiler,
                ragel
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://dnsdist.org
 Vcs-Git: https://salsa.debian.org/dns-team/dnsdist.git
 Vcs-Browser: https://salsa.debian.org/dns-team/dnsdist

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,8 @@
 	  --libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 	  --libexecdir='$${prefix}/lib' \
 	  --enable-dnscrypt \
+	  --enable-dns-over-tls \
+	  --enable-fstrm \
 	  --enable-libsodium \
 	  --enable-re2 \
 	  --enable-reproducible \

## dnsdist 1.3.3

=== debian/changelog ===
dnsdist (1.3.3-3) unstable; urgency=medium

  * Enable SNMP support

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Feb 2019 08:54:00 +0000

dnsdist (1.3.3-2) unstable; urgency=medium
  * Set secpoll suffix and add default config file to turn it off

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 10 Nov 2018 14:49:21 +0000

dnsdist (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3, including fix for CVE-2018-14663
    (Closes: #913231).

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 09 Nov 2018 19:34:32 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                liblua5.2-dev,
                libprotobuf-dev,
                libre2-dev,
+               libsnmp-dev,
                libsodium-dev,
                libssl-dev,
                libsystemd-dev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+# Vendor and version
+version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Vendor)
+CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # for atomic support on powerpc (automatic on mipsel)
 LDFLAGS += -latomic
@@ -43,6 +47,7 @@
 	  --enable-unit-tests \
 	  --with-ebpf \
 	  --with-lua \
+	  --with-net-snmp \
 	  --with-protobuf \
 	  $(CONFIGURE_ARGS)
 
@@ -59,6 +64,7 @@
 else
 	echo Keeping RestrictAddressFamilies in debian/dnsdist/lib/systemd/system/*.service
 endif
+	install -m 0640 debian/config/dnsdist.conf debian/dnsdist/etc/dnsdist/
 
 override_dh_installexamples:
 	cp dnsdistconf.lua dnsdist.conf

## dnsdist 1.4.0~beta1

=== debian/changelog ===
dnsdist (1.4.0~beta1-2) unstable; urgency=medium

  * Build with libcap
  * d/control, d/rules: clean up and sync with pdns(-recursor)
  * Enable DNS-over-HTTPS support
  * Reenable RE2
  * Filter net-snmp-config flags, see #870734
  * Ship sysvinit script (Closes: #832136)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jul 2019 20:04:10 +0000

dnsdist (1.4.0~beta1-1) unstable; urgency=medium

  * New upstream version 1.4.0~beta1
  * Build-Depend on systemd for proper version detection
  * Bump Standards-Version to 4.4.0
  * Use debhelper-compat v12
  * Ship DEP12 UpstreamMetadata per user request
  * d/copyright: Update
  * d/control: Set Rules-Requires-Root: no
  * d/rules: use variables from pkg-info.mk
  * d/rules: stop removing RestrictAddressFamilies from systemd service file
  * d/rules: fix trailing whitespace
  * Install SNMP MIB

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jul 2019 15:18:15 +0000

=== debian/control ===
Source: dnsdist
Section: net
Priority: optional
Standards-Version: 4.4.0
Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
Uploaders: Chris Hofstaedtler <zeha@debian.org>
Build-Depends: debhelper-compat (= 12),
               libboost-all-dev,
               libcap-dev [linux-any],
               libedit-dev,
               libfstrm-dev,
               libgnutls28-dev,
               libh2o-dev,
               libh2o-evloop-dev,
               liblua5.2-dev,
               libprotobuf-dev,
               libre2-dev,
               libsnmp-dev,
               libsodium-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               pkg-config,
               protobuf-compiler,
               ragel,
               systemd [linux-any]
Vcs-Git: https://salsa.debian.org/dns-team/dnsdist.git
Vcs-Browser: https://salsa.debian.org/dns-team/dnsdist
Homepage: https://dnsdist.org
Rules-Requires-Root: no

Package: dnsdist
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: DNS loadbalancer
 Highly DoS- and abuse-aware load balancing tool for DNS traffic,
 with Lua scripting and configuration capability.
 Can be configured to use various sets of rules to classify, route
 and reject traffic.

=== debian/rules ===
#!/usr/bin/make -f

# Turn on all hardening flags, as we're a networked daemon.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Vendor and version
CXXFLAGS += -DPACKAGEVERSION='"$(DEB_VERSION).$(DEB_VENDOR)"'

# Disable systemd integration on non-linux archs
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_ARGS += --enable-systemd --with-systemd=/lib/systemd/system
else
CONFIGURE_ARGS += --disable-systemd
endif


%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f dnslabeltext.cc

override_dh_auto_configure:
	chmod a+x debian/configure-helpers/*
	PATH=debian/configure-helpers/:$$PATH dh_auto_configure \
	dh_auto_configure -- \
	  --sysconfdir=/etc/dnsdist \
	  --enable-unit-tests \
	  --disable-silent-rules \
	  --enable-dnscrypt \
	  --enable-dns-over-https \
	  --enable-dns-over-tls \
	  --enable-dnstap \
	  --with-ebpf \
	  --with-libsodium \
	  --with-libssl \
	  --with-lua \
	  --with-net-snmp \
	  --with-protobuf \
	  --with-re2 \
	  $(CONFIGURE_ARGS)

override_dh_auto_build-arch:
	dh_auto_build -- V=1

override_dh_install:
	dh_auto_install
	echo Patching uid and git into debian/dnsdist/lib/systemd/system/*.service
	perl -pi -e 's/(^ExecStart=.*)/$$1 -u _dnsdist -g _dnsdist/' debian/dnsdist/lib/systemd/system/*.service
	install -m 0640 debian/config/dnsdist.conf debian/dnsdist/etc/dnsdist/
	install -d debian/dnsdist/usr/share/dnsdist/snmp
	install -m 644 -t debian/dnsdist/usr/share/dnsdist/snmp DNSDIST-MIB.txt

override_dh_installexamples:
	cp dnsdistconf.lua dnsdist.conf
	dh_installexamples
	rm -f dnsdist.conf

## dnsdist 1.4.0~rc3

=== debian/changelog ===
dnsdist (1.4.0~rc3-1) unstable; urgency=medium

  * New upstream version 1.4.0~rc3

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Oct 2019 12:02:39 +0000

dnsdist (1.4.0~rc2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

  [ Chris Hofstaedtler ]
  * New upstream version 1.4.0~rc2
    Build with CDB and LMDB for new features.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 02 Sep 2019 19:39:24 +0000

dnsdist (1.4.0~rc1-1) unstable; urgency=medium

  * New upstream version 1.4.0~rc1

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 30 Aug 2019 11:11:52 +0000

dnsdist (1.4.0~beta1-3) unstable; urgency=medium

  * d/rules: remove harmless extra argument to dh_auto_configure
  * Update init script.
    Thanks to Jens Meißner <heptalium@gmx.de> (Closes: #934162)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Aug 2019 22:38:35 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,13 @@
 Build-Depends: debhelper-compat (= 12),
                libboost-all-dev,
                libcap-dev [linux-any],
+               libcdb-dev,
                libedit-dev,
                libfstrm-dev,
                libgnutls28-dev,
                libh2o-dev,
                libh2o-evloop-dev,
+               liblmdb-dev,
                liblua5.2-dev,
                libprotobuf-dev,
                libre2-dev,

## dnsdist 1.4.0~rc5

=== debian/changelog ===
dnsdist (1.4.0~rc5-1) unstable; urgency=medium

  * New upstream version 1.4.0~rc5
  * Bump Standards-Version to 4.4.1

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Nov 2019 19:43:53 +0000

## dnsdist 1.4.0

=== debian/changelog ===
dnsdist (1.4.0-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:35 +0100

dnsdist (1.4.0-1build1) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:04:47 +0000

dnsdist (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 Nov 2019 17:47:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dnsdist
 Section: net
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,7 @@
 
 override_dh_auto_configure:
 	chmod a+x debian/configure-helpers/*
-	PATH=debian/configure-helpers/:$$PATH dh_auto_configure \
-	dh_auto_configure -- \
+	PATH=debian/configure-helpers/:$$PATH dh_auto_configure -- \
 	  --sysconfdir=/etc/dnsdist \
 	  --enable-unit-tests \
 	  --disable-silent-rules \

## dnsdist 1.5.0

=== debian/changelog ===
dnsdist (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Update ownership rules for /etc/dnsdist/dnsdist.conf
  * Update Standards-Version to 4.5.0, dh compat to 13

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 Jul 2020 22:49:16 +0000

dnsdist (1.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Chris Hofstaedtler ]
  * Add upstream patch to fix FTBFS with gcc 10 (Closes: #957145)
  * d/copyright: rename GPL-3-or-Autoconf license paragraph

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Jul 2020 21:50:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dnsdist
 Section: net
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libboost-all-dev,
                libcap-dev [linux-any],
                libcdb-dev,

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,8 @@
 	  --with-net-snmp \
 	  --with-protobuf \
 	  --with-re2 \
+	  --with-service-user='_dnsdist' \
+	  --with-service-group='_dnsdist' \
 	  $(CONFIGURE_ARGS)
 
 override_dh_auto_build-arch:
@@ -48,8 +50,6 @@
 
 override_dh_install:
 	dh_auto_install
-	echo Patching uid and git into debian/dnsdist/lib/systemd/system/*.service
-	perl -pi -e 's/(^ExecStart=.*)/$$1 -u _dnsdist -g _dnsdist/' debian/dnsdist/lib/systemd/system/*.service
 	install -m 0640 debian/config/dnsdist.conf debian/dnsdist/etc/dnsdist/
 	install -d debian/dnsdist/usr/share/dnsdist/snmp
 	install -m 644 -t debian/dnsdist/usr/share/dnsdist/snmp DNSDIST-MIB.txt
@@ -58,3 +58,7 @@
 	cp dnsdistconf.lua dnsdist.conf
 	dh_installexamples
 	rm -f dnsdist.conf
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod 0640 debian/dnsdist/etc/dnsdist/dnsdist.conf

## dnsdist 1.5.1

=== debian/changelog ===
dnsdist (1.5.1-3) unstable; urgency=medium

  * Disable GnuTLS, one crypto lib is enough

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 18 Dec 2020 14:12:25 +0000

dnsdist (1.5.1-2) unstable; urgency=medium

  * Simplify build rules
  * Bump Standards-Version to 4.5.1
  * Build with luajit on amd64, and Lua 5.1 on other archs.
    Once #908137 is fixed, we should enable luajit on arm64 too.
    Unfortunately we were building with Lua 5.3 earlier, so this
    is a feature "regression" of sorts - but it can be much faster.
  * Add upstream patch fixing an eBPF long qname issue

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 17 Dec 2020 22:20:04 +0000

dnsdist (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 01 Oct 2020 13:06:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dnsdist
 Section: net
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -10,21 +10,21 @@
                libcdb-dev,
                libedit-dev,
                libfstrm-dev,
-               libgnutls28-dev,
                libh2o-dev,
                libh2o-evloop-dev,
                liblmdb-dev,
-               liblua5.2-dev,
+               liblua5.1-0-dev [!amd64],
+               libluajit-5.1-dev [amd64] | liblua5.1-0-dev,
                libprotobuf-dev,
                libre2-dev,
                libsnmp-dev,
                libsodium-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
+               libsystemd-dev,
                pkg-config,
                protobuf-compiler,
                ragel,
-               systemd [linux-any]
+               systemd
 Vcs-Git: https://salsa.debian.org/dns-team/dnsdist.git
 Vcs-Browser: https://salsa.debian.org/dns-team/dnsdist
 Homepage: https://dnsdist.org

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,6 @@
 
 # Vendor and version
 CXXFLAGS += -DPACKAGEVERSION='"$(DEB_VERSION).$(DEB_VENDOR)"'
-
-# Disable systemd integration on non-linux archs
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFIGURE_ARGS += --enable-systemd --with-systemd=/lib/systemd/system
-else
-CONFIGURE_ARGS += --disable-systemd
-endif
 
 
 %:
@@ -28,6 +21,7 @@
 	chmod a+x debian/configure-helpers/*
 	PATH=debian/configure-helpers/:$$PATH dh_auto_configure -- \
 	  --sysconfdir=/etc/dnsdist \
+	  --enable-systemd --with-systemd=/lib/systemd/system \
 	  --enable-unit-tests \
 	  --disable-silent-rules \
 	  --enable-dnscrypt \
@@ -35,6 +29,7 @@
 	  --enable-dns-over-tls \
 	  --enable-dnstap \
 	  --with-ebpf \
+	  --with-gnutls=no \
 	  --with-libsodium \
 	  --with-libssl \
 	  --with-lua \

## dnsdist 1.6.1

=== debian/changelog ===
dnsdist (1.6.1-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:29:51 +0000

dnsdist (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Update debian/copyright, other metadata

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 19 Sep 2021 14:56:40 +0000

dnsdist (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Disable tests, as they require a working IPv4 network stack
  * Note: upstream dropped support for archs with 32bit time_t values
    in 1.6.0.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Aug 2021 16:38:14 +0000

dnsdist (1.6.0-1) experimental; urgency=medium

  * New upstream version 1.6.0
    * Remove upstream applied patches
  * configure: explicitly pass --with-lmdb

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 May 2021 09:59:55 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 Standards-Version: 4.5.1
-Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libboost-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	  --with-gnutls=no \
 	  --with-libsodium \
 	  --with-libssl \
+	  --with-lmdb \
 	  --with-lua \
 	  --with-net-snmp \
 	  --with-protobuf \
@@ -42,6 +43,10 @@
 
 override_dh_auto_build-arch:
 	dh_auto_build -- V=1
+
+
+override_dh_auto_test:
+	echo tests disabled, require working ipv4 stack
 
 override_dh_install:
 	dh_auto_install

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts="pgpsigurlmangle=s/$/.asc/,versionmangle=s/-/~/" https://downloads.powerdns.com/releases/	dnsdist-([0-9]+.*)\.tar\.bz2	debian	uupdate

## dnsdist 1.7.2

=== debian/changelog ===
dnsdist (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 15 Jun 2022 14:04:47 +0000

dnsdist (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 27 Apr 2022 07:17:37 +0000

dnsdist (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Remove unused license definitions for Unlicense.

  [ Chris Hofstaedtler ]
  * New upstream version 1.7.0
  * Build with nghttp2

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 23 Jan 2022 15:15:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Standards-Version: 4.5.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
+Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libboost-all-dev,
@@ -16,6 +15,7 @@
                liblmdb-dev,
                liblua5.1-0-dev [!amd64],
                libluajit-5.1-dev [amd64] | liblua5.1-0-dev,
+               libnghttp2-dev,
                libprotobuf-dev,
                libre2-dev,
                libsnmp-dev,

## dnsdist 1.7.3

=== debian/changelog ===
dnsdist (1.7.3-2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Add support for riscv64 arch (Closes: #1025081)

  [ Chris Hofstaedtler ]
  * Build-Depend: architecture-is-64-bit instead of hardcoded arch list

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 20 Dec 2022 07:49:05 +0000

dnsdist (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Nov 2022 22:35:46 +0000

dnsdist (1.7.2-2) unstable; urgency=medium

  * Set explicit architecture list.
    A better solution than an explicit arch list or letting builds fail on
    each upload would be very welcome.
  * Use luajit on arm64

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Nov 2022 16:34:49 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Standards-Version: 4.5.1
 Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: architecture-is-64-bit,
+               debhelper-compat (= 13),
                libboost-all-dev,
                libcap-dev [linux-any],
                libcdb-dev,
@@ -13,8 +14,7 @@
                libh2o-dev,
                libh2o-evloop-dev,
                liblmdb-dev,
-               liblua5.1-0-dev [!amd64],
-               libluajit-5.1-dev [amd64] | liblua5.1-0-dev,
+               libluajit-5.1-dev (>= 2.1.0~beta3+dfsg-5.3) [amd64 arm64] | libluajit-5.1-dev [amd64] | liblua5.1-0-dev,
                libnghttp2-dev,
                libprotobuf-dev,
                libre2-dev,

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	  --with-lmdb \
 	  --with-lua \
 	  --with-net-snmp \
+	  --with-nghttp2 \
 	  --with-protobuf \
 	  --with-re2 \
 	  --with-service-user='_dnsdist' \

## dnsdist 1.8.0

=== debian/changelog ===
dnsdist (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0 (Closes: #1037620)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 15 Jun 2023 17:04:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	install -m 644 -t debian/dnsdist/usr/share/dnsdist/snmp DNSDIST-MIB.txt
 
 override_dh_installexamples:
-	cp dnsdistconf.lua dnsdist.conf
+	cp dnsdist.conf-dist dnsdist.conf
 	dh_installexamples
 	rm -f dnsdist.conf

## dnsdist 1.8.3

=== debian/changelog ===
dnsdist (1.8.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:16 +1100

dnsdist (1.8.3-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:39:45 +0000

dnsdist (1.8.3-2) unstable; urgency=medium

  * Add Build-Depends: systemd-dev (Closes: #1060612)
    Need systemd.pc to be available in addition to the rest (headers, libs,
    systemctl).

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 12 Jan 2024 12:46:36 +0100

dnsdist (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 15 Dec 2023 14:42:53 +0100

dnsdist (1.8.2-3) unstable; urgency=medium

  * Stop installing unwanted dnsdist.conf-dist by accident

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 16 Nov 2023 13:52:58 +0100

dnsdist (1.8.2-2) unstable; urgency=medium

  * Vendor copy of libh2o 2.2.6 with powerdns patches for CVE-2023-44487
  * Build with vendorized libh2o

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 10 Nov 2023 18:35:14 +0100

dnsdist (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Switch from pkg-config to pkgconf
  * Automatically discover systemdsystemunitdir

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 21 Oct 2023 17:12:34 +0200

dnsdist (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * Apply wrap-and-sort -kas
  * Update Vcs-* headers for move to debian namespace
  * Update lintian overrides

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 09 Sep 2023 11:32:56 +0200

=== debian/control ===
Source: dnsdist
Section: net
Priority: optional
Standards-Version: 4.5.1
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
Uploaders:
 Chris Hofstaedtler <zeha@debian.org>
Build-Depends:
 architecture-is-64-bit,
 cmake,
 debhelper-compat (= 13),
 libboost-all-dev,
 libcap-dev [linux-any],
 libcdb-dev,
 libedit-dev,
 libfstrm-dev,
 liblmdb-dev,
 libluajit-5.1-dev (>= 2.1.0~beta3+dfsg-5.3) [amd64 arm64] | libluajit-5.1-dev [amd64] | liblua5.1-0-dev,
 libnghttp2-dev,
 libprotobuf-dev,
 libre2-dev,
 libsnmp-dev,
 libsodium-dev,
 libssl-dev,
 libsystemd-dev,
 pkgconf,
 protobuf-compiler,
 ragel,
 systemd,
 systemd-dev | systemd,
 zlib1g-dev
Build-Conflicts:
 libh2o-dev,
 libh2o-evloop-dev
Vcs-Git: https://salsa.debian.org/debian/dnsdist.git
Vcs-Browser: https://salsa.debian.org/debian/dnsdist
Homepage: https://dnsdist.org
Rules-Requires-Root: no

Package: dnsdist
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends}
Description: DNS loadbalancer
 Highly DoS- and abuse-aware load balancing tool for DNS traffic,
 with Lua scripting and configuration capability.
 Can be configured to use various sets of rules to classify, route
 and reject traffic.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 # Vendor and version
 CXXFLAGS += -DPACKAGEVERSION='"$(DEB_VERSION).$(DEB_VENDOR)"'
 
+H2O_SOURCE_DIR=$(CURDIR)/debian/vendor-h2o/
+H2O_BUILD_DIR=$(CURDIR)/debian/vendor-h2o-build/
+H2O_INSTALL_DIR=$(CURDIR)/debian/vendor-h2o-destdir/
+LDFLAGS += -L$(H2O_INSTALL_DIR)/usr/lib/$(DEB_HOST_MULTIARCH)
+CXXFLAGS += -I$(H2O_INSTALL_DIR)/usr/include
 
 %:
 	dh $@
@@ -16,12 +21,22 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f dnslabeltext.cc
+	rm -rf $(H2O_BUILD_DIR) $(H2O_INSTALL_DIR)
 
-override_dh_auto_configure:
+vendored_libh2o:
+	# Build vendorized copy of libh2o first
+	mkdir $(H2O_BUILD_DIR) $(H2O_INSTALL_DIR)
+	(cd $(H2O_BUILD_DIR) && CFLAGS='-fPIC' cmake -DWITH_PICOTLS=off -DWITH_BUNDLED_SSL=off -DWITH_MRUBY=off -DCMAKE_INSTALL_PREFIX=/usr $(H2O_SOURCE_DIR))
+	$(MAKE) -C $(H2O_BUILD_DIR) install DESTDIR=$(H2O_INSTALL_DIR)
+
+#LDFLAGS += -lh2o-evloop
+
+override_dh_auto_configure: vendored_libh2o
+	# Actually configure dnsdist now
 	chmod a+x debian/configure-helpers/*
 	PATH=debian/configure-helpers/:$$PATH dh_auto_configure -- \
 	  --sysconfdir=/etc/dnsdist \
-	  --enable-systemd --with-systemd=/lib/systemd/system \
+	  --enable-systemd --with-systemd=$$(pkgconf --variable=systemdsystemunitdir systemd) \
 	  --enable-unit-tests \
 	  --disable-silent-rules \
 	  --enable-dnscrypt \
@@ -40,7 +55,7 @@
 	  --with-re2 \
 	  --with-service-user='_dnsdist' \
 	  --with-service-group='_dnsdist' \
-	  $(CONFIGURE_ARGS)
+	  $(CONFIGURE_ARGS) PKG_CONFIG_PATH=$(H2O_INSTALL_DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:$(PKG_CONFIG_PATH)
 
 override_dh_auto_build-arch:
 	dh_auto_build -- V=1
@@ -52,6 +67,7 @@
 override_dh_install:
 	dh_auto_install
 	install -m 0640 debian/config/dnsdist.conf debian/dnsdist/etc/dnsdist/
+	rm debian/dnsdist/etc/dnsdist/dnsdist.conf-dist
 	install -d debian/dnsdist/usr/share/dnsdist/snmp
 	install -m 644 -t debian/dnsdist/usr/share/dnsdist/snmp DNSDIST-MIB.txt

## dnsdist 1.9.5

=== debian/changelog ===
dnsdist (1.9.5-1) unstable; urgency=medium

  * New upstream version 1.9.5
  * Drop upstream applied patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jun 2024 23:44:20 +0200

dnsdist (1.9.4-1) unstable; urgency=medium

  * New upstream version 1.9.4, fixes CVE-2024-25581 (Closes: #1071750)
  * Enable AF_XDP support
  * Stop using (vendored) libh2o
  * Fix systemd version detection when version is 256~rc3

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 17:12:11 +0200

dnsdist (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Apr 2024 14:21:50 +0200

dnsdist (1.8.3-3) unstable; urgency=medium

  * Reenable build on 32bit archs, supporting time_t-64bit
  * d/rules: tidy up
  * vendor-h2o: drop $Id$ marker

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Apr 2024 11:07:14 +0200

## dnsdist 1.9.6

=== debian/changelog ===
dnsdist (1.9.6-1) unstable; urgency=medium

  * New upstream version 1.9.6

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Jul 2024 17:01:22 +0200

## dnsdist 1.9.8

=== debian/changelog ===
dnsdist (1.9.8-1) unstable; urgency=medium

  * New upstream version 1.9.8

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 17 Dec 2024 19:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: net
 Priority: optional
 Standards-Version: 4.5.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
+Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
 Uploaders:
  Chris Hofstaedtler <zeha@debian.org>
 Build-Depends:
- architecture-is-64-bit,
  cmake,
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  libboost-all-dev,
+ libbpf-dev,
  libcap-dev [linux-any],
  libcdb-dev,
  libedit-dev,
@@ -24,15 +24,13 @@
  libsodium-dev,
  libssl-dev,
  libsystemd-dev,
+ libxdp-dev,
  pkgconf,
  protobuf-compiler,
  ragel,
  systemd,
  systemd-dev | systemd,
  zlib1g-dev
-Build-Conflicts:
- libh2o-dev,
- libh2o-evloop-dev
 Vcs-Git: https://salsa.debian.org/debian/dnsdist.git
 Vcs-Browser: https://salsa.debian.org/debian/dnsdist
 Homepage: https://dnsdist.org

## dnsdist 1.9.9

=== debian/changelog ===
dnsdist (1.9.9-1) unstable; urgency=medium

  * New upstream version 1.9.9 including fix for CVE-2025-30194

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 29 Apr 2025 14:27:45 +0200

## dnsdist 1.9.10

=== debian/changelog ===
dnsdist (1.9.10-1+deb13u1) trixie; urgency=medium

  * d/{gbp.conf,.gitlab-ci.yml}: setup for trixie
  * Apply upstream fix for CVE-2025-8671, CVE-2025-30187
    (Closes: #1115643)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 12 Sep 2025 10:39:35 +0200

dnsdist (1.9.10-1) unstable; urgency=medium

  * New upstream version 1.9.10 including fix for CVE-2025-30193
    (Closes: #1106207)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 21 May 2025 10:30:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,6 @@
 # Vendor and version
 CXXFLAGS += -DPACKAGEVERSION='"$(DEB_VERSION).$(DEB_VENDOR)"'
 
-H2O_SOURCE_DIR=$(CURDIR)/debian/vendor-h2o/
-H2O_BUILD_DIR=$(CURDIR)/debian/vendor-h2o-build/
-H2O_INSTALL_DIR=$(CURDIR)/debian/vendor-h2o-destdir/
-LDFLAGS += -L$(H2O_INSTALL_DIR)/usr/lib/$(DEB_HOST_MULTIARCH)
-CXXFLAGS += -I$(H2O_INSTALL_DIR)/usr/include
 
 %:
 	dh $@
@@ -21,17 +16,8 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f dnslabeltext.cc
-	rm -rf $(H2O_BUILD_DIR) $(H2O_INSTALL_DIR)
 
-vendored_libh2o:
-	# Build vendorized copy of libh2o first
-	mkdir $(H2O_BUILD_DIR) $(H2O_INSTALL_DIR)
-	(cd $(H2O_BUILD_DIR) && CFLAGS='-fPIC' cmake -DWITH_PICOTLS=off -DWITH_BUNDLED_SSL=off -DWITH_MRUBY=off -DCMAKE_INSTALL_PREFIX=/usr $(H2O_SOURCE_DIR))
-	$(MAKE) -C $(H2O_BUILD_DIR) install DESTDIR=$(H2O_INSTALL_DIR)
-
-#LDFLAGS += -lh2o-evloop
-
-override_dh_auto_configure: vendored_libh2o
+override_dh_auto_configure:
 	# Actually configure dnsdist now
 	chmod a+x debian/configure-helpers/*
 	PATH=debian/configure-helpers/:$$PATH dh_auto_configure -- \
@@ -53,13 +39,13 @@
 	  --with-nghttp2 \
 	  --with-protobuf \
 	  --with-re2 \
+	  --with-xsk \
 	  --with-service-user='_dnsdist' \
 	  --with-service-group='_dnsdist' \
 	  $(CONFIGURE_ARGS) PKG_CONFIG_PATH=$(H2O_INSTALL_DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:$(PKG_CONFIG_PATH)
 
 override_dh_auto_build-arch:
 	dh_auto_build -- V=1
-
 
 override_dh_auto_test:
 	echo tests disabled, require working ipv4 stack

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,versionmangle=s/-/~/ https://downloads.powerdns.com/releases/ dnsdist-([0-9]+.*)\.tar\.bz2 debian uupdate
